<?php

namespace App\Console;

use App\Console\Commands\CalculateSpace;
use App\Console\Commands\CalculateTraffic;
use App\Console\Commands\EXIFRead;
use App\Console\Commands\ImageCacheAll;
use App\Console\Commands\ThemesScann;
use App\Console\Commands\UserAdmin;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        CalculateSpace::class,
        CalculateTraffic::class,
        ImageCacheAll::class,
        EXIFRead::class,
        UserAdmin::class,
        ThemesScann::class
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
         $schedule->command('calculate:space')->hourlyAt(10)->withoutOverlapping();
         //$schedule->command('calculate:traffic')->hourlyAt(10)->withoutOverlapping();
         $schedule->command('calculate:traffic')->everyFiveMinutes()->withoutOverlapping();
         $schedule->command('exit:read')->everyMinute()->withoutOverlapping();
         $schedule->command('theme:scan')->everyMinute()->withoutOverlapping();
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
